List of all members
clan::DelauneyTriangulator Class Reference
clanCore Math

Delauney triangulator. More...

`#include <delauney_triangulator.h>`

## Public Member Functions
Construction
| DelauneyTriangulator ()
| Creates a triangulator object. More...
virtual | ~DelauneyTriangulator ()
Attributes
const std::vector< DelauneyTriangulator_Vertex > & | get_vertices () const
| Returns the list of vertices in the triangulation. More...
const std::vector< DelauneyTriangulator_Triangle > & | get_triangles () const
| Returns the resulting triangles produced from triangulation. More...
Operations
void | add_vertex (float x, float y, void *data)
| This function specifies a point to be used in the triangulation. More...
void | generate ()
| Converts passed points into triangles. More...

## Detailed Description

Delauney triangulator.

This class uses the delauney triangulation algorithm to produce triangles between a list of points.

The documentation for this class was generated from the following file:

- delauney_triangulator.h